version: '3.7'

networks:
  app-tier:
    driver: bridge

services:

  adminer:
     image: adminer
     restart: always
     ports:
         - 8087:8080
     networks:
         - app-tier

  website:
     image: php:5.6-apache
     build:
      context: ./apache-php
     container_name: phpXLDM
     ports:
         - 8889:80
     volumes:
         - ./:/var/www/html
     links:
         - "dbMysql"
     depends_on:
         - "dbMysql"
     networks:
         - app-tier
 
  dbMysql:
    image: mysql
    container_name: mysql_xldm_host
    restart: always
    environment:
        MYSQL_ROOT_PASSWORD: root
        MYSQL_USER: xldm
        MYSQL_PASSWORD: xldm
        MYSQL_DATABASE: xmp
    networks:
         - app-tier
    volumes:
         - ./mysqlconf:/etc/mysql/conf.d